extensions / Commerce extension
PATCH
/api/projects/{project_id}/sales/rma/addresses/{address_id}Update RMA Address
Updates an existing RMA return address for a project and dispatches a commerce location-updated webhook.
PATCHDELETE
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
address_id | Yes | Not specified | Description: Identifier for address. |
Query Parameters
Request Body
Schema: ReturnAddressPayload
| Field | Required | Type | Details |
|---|---|---|---|
label | No | string | Description: Human-readable label. |
contact_name | No | string | Description: Text value. |
company | No | string | Description: Text value. |
phone | No | string | Description: Text value. |
email | No | string | Description: Text value. |
line1 | Yes | string | Description: Text value. |
line2 | No | string | Description: Text value. |
city | Yes | string | Description: Text value. |
region | No | string | Description: Text value. |
postal_code | Yes | string | Description: Text value. |
country_code | Yes | string | Description: Text value. |
is_default | No | boolean | Description: Boolean flag. |
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"label": "Example",
"contact_name": "string",
"company": "string",
"phone": "string",
"email": "user@example.com",
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postal_code": "string",
"country_code": "string",
"is_default": 1,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

